#version 120
#include "settings.glsl"
uniform sampler2D texture;
varying vec2 texcoord;



void main() {
    vec4 color = texture2D(texture, texcoord);
    
    // Calculate luminance
    float luminance = dot(color.rgb, vec3(0.299, 0.587, 0.114));
    
    // Increase saturation
    vec3 gray = vec3(luminance);
    vec3 saturated = mix(gray, color.rgb, SATURATION);
    
    gl_FragColor = vec4(saturated, color.a);
}
